packagekit app crashes while showing updates

Bug #480438 reported by Bremm on 2009-11-11
This bug report is a duplicate of:  Bug #438076: APT: Unicode Error in changelog. Edit Remove
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
packagekit (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: packagekit

This content popped-up to me.

Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xc3 in position 17: ordinal not in range(128)
  File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 1952, in <module>
    main()
  File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 1949, in main
    run(args, options.single)
  File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 1911, in run
    backend.dispatcher(args)
  File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 647, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 537, in dispatch_command
    self.get_update_detail(package_ids)
  File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 757, in get_update_detail
    updated)
  File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 242, in update_detail
    changelog, state, issued, updated))

ProblemType: Bug
Architecture: amd64
CheckboxSubmission: 1dcf98e1af313db838b0adef5e2775bb
CheckboxSystem: edda5d4f616ca792bf437989cb597002
Date: Tue Nov 10 23:19:31 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: packagekit 0.4.9+20090825-0ubuntu6 [modified: var/lib/PackageKit/transactions.db usr/bin/pkcon usr/bin/pkmon usr/bin/pkgenpack usr/sbin/packagekitd]
ProcEnviron:
 LANGUAGE=pt_BR.UTF-8
 PATH=(custom, no user)
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: packagekit
Uname: Linux 2.6.31-14-generic x86_64

Bremm (bremm) wrote :
Changed in packagekit (Ubuntu):
status: New → Fix Committed
Jonathan Riddell (jr) wrote :

I've uploaded packagekit 0.5.7-0ubuntu3 to ppa:jr please run

sudo apt-add-repository ppa:jr
sudo apt-get update
sudo apt-get install packagekit-backend-apt

and check if this bug is fixed or not

Matthias Klumpp (ximion) on 2010-10-26
tags: added: pk-apt-backend
Matthias Klumpp (ximion) on 2010-12-13
tags: added: pk-backend-apt
removed: pk-apt-backend
Changed in packagekit (Ubuntu Lucid):
status: New → Incomplete
Matthias Klumpp (ximion) on 2011-03-26
Changed in packagekit (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers